# StringByteSink< StringClass > Class Template Reference

Implementation of ByteSink that writes to a "string". More...

`#include <bytestream.h>`

Inheritance diagram for StringByteSink< StringClass >:

## Public Member Functions
| StringByteSink (StringClass *dest)
| Constructs a ByteSink that will append bytes to the dest string.
virtual void | Append (const char *data, int32_t n)
| Append "bytes[0,n-1]" to this.

## Detailed Description

### template<typename StringClass>
class StringByteSink< StringClass >

Implementation of ByteSink that writes to a "string".

The StringClass is usually instantiated with a std::string.

Stable:
  ICU 4.2

Definition at line 207 of file bytestream.h.

## Constructor & Destructor Documentation

template<typename StringClass>

StringByteSink< StringClass >::StringByteSink | ( | StringClass * | dest | ) | `[inline]`

Constructs a ByteSink that will append bytes to the dest string.

Parameters:

  | dest | pointer to string object to append to

Stable:
  ICU 4.2

Definition at line 214 of file bytestream.h.

## Member Function Documentation

template<typename StringClass>

virtual void StringByteSink< StringClass >::Append | ( | const char * | data,
|  | int32_t | n |
| ) |  |  | `[inline, virtual]`

Append "bytes[0,n-1]" to this.

Parameters:

  | data | the pointer to the bytes
  | n | the number of bytes; must be non-negative

Stable:
  ICU 4.2

Implements ByteSink.

Definition at line 221 of file bytestream.h.

The documentation for this class was generated from the following file:

- bytestream.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines